declare type DateFormControlValue = number | string | Date;
declare type FileFormControlValue = File;
interface PrefixAndSuffix {
    type: string;
    tooltip?: string;
}
interface TextPrefixAndSuffix extends PrefixAndSuffix {
    type: 'text';
    text: string;
}
interface IconPrefixAndSuffix extends PrefixAndSuffix {
    type: 'icon';
    icon: string;
}
declare type FormControlPrefixAndSuffix = TextPrefixAndSuffix | IconPrefixAndSuffix;
export { DateFormControlValue, FileFormControlValue, FormControlPrefixAndSuffix };
export { SizeType as FormControlSize } from '../../basic';
